package org.kne.cloud.clock;

public class ReliabilityBackoffTimeClock {

	public volatile long maxCoolingTime=300000000000L;
	public ReliabilityBackoffTimeClock(long maxCoolingTime) {
		super();
		this.maxCoolingTime = maxCoolingTime;
	}
	public ReliabilityBackoffTimeClock() {
		super();
	}
	public long getCoolingTime(double reliability) {
		return (long) ((1.0-reliability)*maxCoolingTime);
	}
}
